#include "party_member_data.h"
#include "macros.h"

void PartyMemberData::_bind_methods() {
	BIND_PROPERTY(Variant::STRING, first_name);
	BIND_PROPERTY(Variant::INT, player_trust);
	BIND_PROPERTY(Variant::INT, player_fear);
}

int PartyMemberData::get_player_authority() const {
	return this->player_fear + this->player_trust;
}

void PartyMemberData::set_first_name(String name) {
	this->first_name = name;
}

String PartyMemberData::get_first_name() const {
	return this->first_name;
}

void PartyMemberData::set_player_trust(int value) {
	this->player_trust = value;
}

int PartyMemberData::get_player_trust() const {
	return this->player_trust;
}

void PartyMemberData::set_player_fear(int value) {
	this->player_fear = value;
}

int PartyMemberData::get_player_fear() const {
	return this->player_fear;
}
