#ifndef PARTY_MEMBER_DATA_H
#define PARTY_MEMBER_DATA_H

#include "core/io/resource.h"

class PartyMemberData : public Resource {
	GDCLASS(PartyMemberData, Resource);
	static void _bind_methods();

public:
	int get_player_authority() const;

	void set_first_name(String name);
	String get_first_name() const;
	void set_player_trust(int value);
	int get_player_trust() const;
	void set_player_fear(int value);
	int get_player_fear() const;

private:
	String first_name{ "Firstname" };
	int player_trust{ 1 };
	int player_fear{ 1 };
};

#endif // !PARTY_MEMBER_DATA_H
